﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;

namespace aspbasics2_website4.classes.IndexerExamples {

        /// <summary>
        /// Summary description for Exams2
        /// </summary>
    public class Customers {
        List<Customer> customers;

        public Customers()
        {
            customers = new List<Customer>();
        }

        public Customer this[int i]
        {
            get
            {
                return customers[i];
            }
            set
            {
                customers.Insert(i, value);
            }
        }

        public Customer this[string name]
        {
            get
            {
                foreach (Customer c in customers)
                {
                    if (c.Name.Equals(name))
                        return c;
                }
                return null;
            }
        }

        public void Add(Customer c)
        {
            customers.Add(c);
        }

        public int Count()
        {
            return customers.Count;
        }

        public override string ToString()
        {
            StringBuilder custs = new StringBuilder();

            foreach (Customer c in customers)
            {
                custs.Append(c);
                custs.Append(Environment.NewLine);
            }

            return custs.ToString();
        }

    }
}