﻿using System.Collections.Generic;

namespace aspbasics2_website4.classes.IndexerExamples {
    public class Exams {
        private int[] exams;

        public Exams(int num)
        {
            this.exams = new int[num];
        }

        // Indexer
        public int this[int i]
        {
            get { return exams[i]; }
            set { exams[i] = value; }
        }

        public double Average()
        {
            double sum = 0.0;
            foreach (int score in exams)
            {
                sum += score;
            }

            return sum / exams.Length;
        }
    }
}
 
