﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace aspbasics2_website4.classes.product {
    public class Order {
        String customerName;
        public List<Product> products = new List<Product>();

        public Order(String customerName) {
            this.customerName = customerName;
        }
        public void addProduct(Product p) {
            products.Add(p);
        }

        public Product GetProduct(int i) {
            if(i>=0 && i<products.Count) {
                return products[i];
            }
            return null;
        }
        public int NumProducts {
            get { return products.Count; }
        }

        public String GenerateReport() {
            string newLine = Environment.NewLine;
            string report = String.Format("Name: {0}, Num Products: {1}{2}", customerName, NumProducts, newLine);

            foreach (Product p in products) {
                report += p.ToString() + newLine;
            }
            return report;
        }
    }
}