﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="aspbasics2_website4._default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ASP Basics - Part 2</title>
    <link href="site.css" rel="stylesheet" />
</head>
<body>

<%--	<font face="Verdana" size="2">Return to <a href="http://mypages.valdosta.edu/dgibson/courses/cs3340/Schedule.shtm">CS 3340</a></font><br/>
	<hr width="100%" size="1" color="black"/>
--%>
    <form id="form1" runat="server">
    <div>
    <h2>ASP.NET Basics 2</h2>
        <p><b>C#</b></p>
        <ol>
            <li class="medium">
                <a href="docs/OOCsharp2.docx">OO C#</a> - Using OO C#. Other Resources: C# Station:
                <a href="http://www.csharp-station.com/Tutorials/Lesson07.aspx">Classes</a>,
                <a href="http://www.csharp-station.com/Tutorials/Lesson08.aspx">Inheritance</a>, 
                <a href="http://www.csharp-station.com/Tutorials/Lesson09.aspx">Polymorphism</a>,
                <a href="http://www.csharp-station.com/Tutorials/Lesson13.aspx">Interfaces</a><br />
            </li>

            <li class="medium">
                <a href="pages/OOExamples2.aspx">Example</a> (Optional) -&nbsp; Code shows examples of OO programming in C#. Uses an abstract class and subclasses.</li>

            <li class="medium">
                <a href="docs/Indexer.docx">C# Indexer</a> (Optional) - Explanation of indexers in C#. 
                    Other resources:&nbsp;
                <a href="https://msdn.microsoft.com/en-us/library/6x16t2tx(v=vs.140).aspx">Indexers</a></font></li>
            <li class="medium">
                <a href="pages/indexer.aspx">Example</a> (Optional) - An example of an indexer. </li>
            <li class="medium">
                <a href="docs/AccessModifiers.docx">Access Modifiers</a> (Optional) - Other resources: MSDN:
                <a href="http://msdn.microsoft.com/en-us/library/ms973231.aspx">Assemblies and Namespaces</a>
            </li>
        </ol>

        <p><b>Post Back</b></p>
        <ol start="7">
            <li class="medium">
                <a href="docs/PostBackAndResponseRedirect.docx">PostBack &amp; Response.Redirect Explained</a> - How postback works and detecting it. (Optional Resources):
                <a href="http://www.xefteri.com/articles/show.cfm?id=18">How Postback works</a>
            </li>
            <li class="medium"><a href="pages/postback.aspx">Example</a> - Illustrates &quot;when&quot; postback occurs.</li>
            <li class="medium"><a href="pages/PostbackIncorrect.aspx">Example</a> - Incorrect example of Postback</li>
            <li class="medium"><a href="pages/PostbackCorrect.aspx">Example</a> - Correct example of Postback</li>
            <li class="medium"><a href="pages/multipleevents.aspx" aria-expanded="undefined" aria-grabbed="undefined">Example</a> - Multiple Events</li>
        </ol>

        <p><b>View State</b></p>
        <ol start="12">

            <li class="medium"><a href="docs/ViewState.docx">ViewState Explained</a> - a brief explanation of ViewState.</li>
            <li class="medium"><a href="pages/viewstate.aspx">Example</a> - Illustrates ViewState. (Optional Resources): 
                Wikipedia: <a href="http://en.wikipedia.org/wiki/ASP.NET#View_state">ViewState</a>, 
                ASP Alliance: <a href="http://aspalliance.com/909">Understanding ViewState</a>, 
                MSDN: <a href="http://msdn.microsoft.com/en-us/library/bb386448(v=vs.100).aspx">
                Overview of ViewSate</a>,
                <a href="http://msdn.microsoft.com/en-us/library/ms972976.aspx">Understanding ViewState</a>
            </li>
        </ol>

        <p><b>ASP.NET</b></p>
        <ol start="14">

            <li class="medium">
                <a href="docs/ASPNet.docx">ASP.NET</a> - What is ASP.NET? Wikipedia:
                <a href="http://en.wikipedia.org/wiki/ASP.NET">ASP.NET</a>.
            </li>
            <li class="medium">
                <a href="docs/PageLifeCycle.docx">Lifecycles</a> - Application, Session, and Page Lifecycles. (Optional Resources): MSDN:
                <a href="http://msdn.microsoft.com/en-us/library/ms178472.aspx">Page Lifecycle</a>,
                <a href="http://msdn.microsoft.com/en-us/library/bb470252.aspx">Application Lifecycle</a>,
                <a href="https://msdn.microsoft.com/en-us/library/aa303613.aspx">Session Lifecycle</a></li>
            <li class="medium">
                <a href="pages/PageLifeCycle.aspx">Example</a> - Shows Page events that can be overridden</li>
        </ol>

    <p><b>Data Binding</b></p>
       
    <ol start="17">
        <li class="medium"><a href="docs/DataBinding.docx">DataBinding Explained</a> - A brief introduction to data binding.</li>
        <li class="medium"><a href="pages/DataBinding.aspx">Example</a> - Binds ListItems array to ListBox using DataBind and DataSource. Also shows binding with a list of custom obects.</li>
    </ol>

    <p class="red">Possibly Update Below</p>
	<p><b>Tracing</b></p>                    
    <ol start="19">
    
            <li class="medium">
                <a href="pages/tracing.aspx">Example</a> - Tracing a page and notes about 
                tracing. (Optional Resources): ASP 101:
                <a href="http://www.asp101.com/articles/robert/tracing/default.asp">Tracing</a>, 
                DotNetPerls: <a href="http://www.dotnetperls.com/trace">Trace Examples</a></li>
             </ol>
    
    <p><b>Mantaining State - Session and ViewState</b></p>                    
    <ol start="20">
    
                    <li class="medium">
                        <a href="docs/MaintainingState.docx">Maintaining State</a> - Why do we need to 
                maintain state and how do we do it. (Optional Resources): MSDN:
                <a href="http://msdn.microsoft.com/en-us/library/75x4ha6s.aspx">Overview</a></li>
            <li class="medium">
                <a href="pages/CreateOrder.aspx">Example</a> - uses Session to store an instance of a custom class to maintain state across multiple pages. See:&nbsp; CreateOrder.aspx, AddProducts.aspx, ReviewOrder.aspx</li>
					<li class="medium">
                		See Lab 5, Stage 4 - Puts primitives in Session.</li>
					<li class="medium">
                		See Lab 6, Stage 5 - Puts object in Session that contains a list of other objects.</li>
    
            <li class="medium">
                        (not presently accessible)
                        <a href="pages/IncorrectState.aspx">Example</a> - Maintaining state incorrectly.</li>
                    <li class="medium">
                (not presently accessible)
                <a href="pages/SessionState.aspx">Example</a> - Maintaining state with the Session 
                object. Smaller page, faster transmission, uses more memory on 
                server.</li>
                    <li class="medium">
                		(not presently accessible)
                <a href="pages/SessionStatePageProperty.aspx">Example</a> - Same as previous except uses a property in the page class to store and retrieve from session.</li>
            <li class="medium">
                (not presently accessible)
                <a href="pages/ViewStateState.aspx">Example</a> - Maintaining state with the ViewState object. Larger page, slower transmission, uses less memory on server.</li>
            <li class="medium">
                (not presently accessible)
                <a href="pages/dropdown.aspx">Example</a> - (Optional) An ArrayList of custom objects is bound 
                to DDL and stored in session and used to retrieve other information not 
                contained in DDL. Also, a &quot;Select One&quot; ListItem is inserted in DDL. 
                Also, validation used to force user to make a selection.</li>
             </ol>

    <p><b>Sharing Information Between Pages</b></p>                    
             
    <ol start="29">
                 <li class="medium">
                     <a href="pages/querystring.aspx">Example</a> - Uses QueryString to pass 
                information between two pages. (Optional Resources): Developer.com:
                <a href="http://www.developer.com/net/asp/article.php/3299641/ServerTransfer-Vs-ResponseRedirect.htm">
                Server.Transfer vs. Response.Redirect</a></li>
				 <li class="medium">
                     Simple example of using QueryString, see Lab 5, Stage 5</li>
                 <li class="medium">
                     (not presently accessible)
                     <a href="docs/QuarterlyReport.docx">Quarterly Report Example Description</a> - Explains example 
                     that will follow and shows class diagram of object that is used for storing data 
                     in Session.</li>
            <li class="medium">
                (not presently accessible)
                <a href="pages/quarterlyreport.aspx">Example</a> - 
                Using Session to store and retrieve information 
                used by several forms.</li>
            <li class="medium">
                (not presently accessible)
                (Optional)
                <a href="pages/crosspageposting.aspx">Example</a> - Uses cross-page-posting to 
                post Form data to another page. (Optional Resources): C#.NetFreak:
                <a href="http://csharpdotnetfreak.blogspot.com/2009/08/cross-page-posting-in-aspnet.html">
                CPP</a>, MSDN: <a href="http://msdn.microsoft.com/en-us/library/ms178139.aspx">
                CPP</a><br /></li>
        </ol>
    
        </div>
    </form>
</body>
</html>
