﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using aspbasics2_website4.classes.product;

namespace aspbasics2_website4.pages {
    public partial class Postback : System.Web.UI.Page {
        protected void Page_Load(object sender, System.EventArgs e) {
            string nline = System.Environment.NewLine;

            txtMessage.Text += nline + "-->Server has been hit" + nline;
            // First time on page
            if (!Page.IsPostBack) {
                lblMsg.Text = "Welcome to the Tax Calculator";
                txtMessage.Text += "   ***First time on page" + nline;
            }
            // Subsequent times on page, occurs via postback.
            else // Page.IsPostBack = true;
            {
                lblMsg.Text = "Enter another price";
                txtMessage.Text += "   ***Post-back, not first time on page" + nline;
            }
            txtPrice.Focus();
        }

        protected void btnSubmit_Click(object sender, System.EventArgs e) {
            double price = Convert.ToDouble(txtPrice.Text);

            Product p = new Product();
            // Use Price setter
            p.Price = price;
            // Use Price getter
            txtMessage.Text += "   ***Submit callled: ";
            txtMessage.Text += String.Format(" {0:C}\r\n", p.Price);
            txtPrice.Text = "";
            txtPrice.Focus();

        }

        protected void btnReset_Click(object sender, EventArgs e) {
            lblMsg.Text = "Welcome to the Tax Calculator (again)";
            txtMessage.Text += "   ***Reset callled-not sure why this is useful?\r\n";
            txtPrice.Text = "";
            txtPrice.Focus();
        }

        protected void btnLoadPage_Click(object sender, EventArgs e) {
            Response.Redirect(Request.RawUrl);
        }

        protected void btnPage2_Click(object sender, EventArgs e) {
            Response.Redirect("PostbackPage2.aspx");
        }
    }
}