﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspbasics2_website4.pages {
	public partial class QueryString : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            if (!Page.IsPostBack) {
                String name = Request.QueryString["name"];
                if (name != null) {
                    String msg = name + ", " + Request.QueryString["addr"];
                    msg += ", " + Request.QueryString["age"];
                    msg += ", " + Request.QueryString["status"];

                    lblQString.Text = msg;

                    lblQString.Visible = true;
                    lblMsg.Visible = true;

                    txtName.Text = name;
                    txtAddress.Text = Request.QueryString["addr"];
                }
            }
        }

        protected void btnRespRed_Click(object sender, EventArgs e) {
            String url = "QueryStringPage2.aspx";
            url += "?";
            url += "name=" + txtName.Text + "&";
            url += "addr=" + txtAddress.Text;

            Response.Redirect(url);
        }

        protected void btnReset_Click(object sender, EventArgs e) {
            Response.Redirect(Request.Url.GetLeftPart(UriPartial.Path));
        }
    }
}