﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspbasics2_website4.pages {
	public partial class QueryStringPage2 : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            String msg = "";
            // Set labels with querystring values.
            lblName.Text = Request.QueryString["name"];
            lblAddr.Text = Request.QueryString["addr"];

            // Enumerate querystring.
            String qString = "Request.QueryString=" + Request.QueryString.ToString() + "\r\n\r\n";

            foreach (String key in Request.QueryString.Keys) {
                qString += "Key=" + key + ", Value=" + Request.QueryString[key] + "\r\n";
            }

            txtQString.Text = qString;

            // Display various Request properties.
            msg = "";
            msg += "Request.Url=" + Request.Url.ToString() + "\r\n\r\n";
            msg += "Request.UrlReferrer=" + Request.UrlReferrer.ToString() + "\r\n\r\n";
            msg += "Request.UserAgent=" + Request.UserAgent.ToString() + "\r\n\r\n";
            msg += "Request.UserHostAddress=" + Request.UserHostAddress.ToString() + "\r\n\r\n";
            msg += "Request.UserHostName=" + Request.UserHostName.ToString() + "\r\n\r\n";
            msg += "Request.ServerVariables=" + "\r\n\r\n";

            foreach (String x in Request.ServerVariables) {
                msg += "*** " + x.ToString() + " - " + Request.ServerVariables[x] + "\r\n";
            }

            txtMessage.Text = msg;
        }

        protected void btnRespRed_Click(object sender, EventArgs e) {
            String url = "querystring.aspx";
            url += "?";
            url += "name=" + lblName.Text;
            url += "&";
            url += "addr=" + lblAddr.Text;
            url += "&";
            url += "age=" + ddlAge.SelectedItem.Text;
            url += "&";
            url += "status=" + ddlAge.SelectedValue;


            Response.Redirect(url);

        }
    }
}