﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using aspbasics2_website4.classes.product;

namespace aspbasics2_website4.pages {
	public partial class ReviewOrder : System.Web.UI.Page {

        Order order;
		protected void Page_Load(object sender, EventArgs e) {
            if (!Page.IsPostBack) {
                if (Session["Order"] == null) {
                    Response.Redirect("AddProducts.aspx");
                }
                else {
                    order = (Order)Session["Order"];
                    txtMessage.Text = order.GenerateReport();
                }
            }
            else {
                // Shouldn't occur
                order = (Order)Session["Order"];
            }
        }

        protected void btnAddMoreProducts_Click(object sender, EventArgs e) {
			Response.Redirect("AddProducts.aspx");
		}
	}
}