﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspbasics2_website4.pages {
	public partial class viewstate : System.Web.UI.Page {
		protected void Page_Load(object sender, EventArgs e) {

		}
        protected void btnPostback_Click(object sender, EventArgs e) {
            txtMessage.Text += "Visited the server\r\n";
        }

        protected void btnChangeColor_Click(object sender, EventArgs e) {
            // This textbox, txt2, has EnableViewState=False. Thus, this
            // change (see method below, changes text to red and width to 30)
            // will be sent to the browser. However, since these changes are not
            // stored in ViewState, when the page is posted-back, the initial values
            // will be used (color=Blue, width=100).
            formatTextBox(txt2);
            formatTextBox(txt3);
            txtMessage.Text += "Visited the server\r\n  and set text color\r\n";
        }
        private void formatTextBox(TextBox txt) {
            txt.BackColor = System.Drawing.Color.Yellow;
            txt.ForeColor = System.Drawing.Color.Red;
            txt.Width = Unit.Pixel(30);
        }

        protected void btnReset_Click(object sender, EventArgs e) {
            txtMessage.Text = "";
            resetTextBox(txt1);
            resetTextBox(txt2);
            resetTextBox(txt3);
        }

        private void resetTextBox(TextBox txt) {
            txt.ForeColor = System.Drawing.Color.Black;
            txt.Text = "";
        }

    }
}