﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ViewState.aspx.cs" Inherits="aspbasics2_website4.pages.viewstate" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ViewState Example</title>
    <link href="../site.css" rel="stylesheet" />
	</head>
<body>
    <!-- #Include File="header2.txt" -->
    <form id="form1" runat="server">
    <div>
        <p><strong>ViewState Example</strong></p>
        
        <p><asp:Button ID="btnReset" runat="server" onclick="btnReset_Click" Text="Reset" /></p>

        <asp:Panel ID="Panel1" runat="server" BorderColor="#333333" BorderStyle="Solid" BorderWidth="1px" CssClass="panelPad">
			<p class="indent">
				A Form element always retains its values between postbacks. Type something in and press the button. The Value persists between postbacks. Of course, it can be changed on the server, e.g. txt.Text=&quot;&quot;</p>
			<p class="indent">
                <asp:TextBox ID="txt1" runat="server" EnableViewState="False" Width="50px"></asp:TextBox>
                <asp:Button ID="btnPostback3" runat="server" onclick="btnPostback_Click" Text="Postback" />
			</p>
        </asp:Panel>

            <asp:Panel ID="Panel2" runat="server" BorderColor="#333333" BorderStyle="Solid" BorderWidth="1px" CssClass="panelPad">
                <p class="indent">
                    This TextBox has its &quot;EnableViewState&quot; properties set to &quot;False&quot;. Type something in.
                    <asp:TextBox ID="txt2" runat="server" EnableViewState="False" Width="100px" ForeColor="Blue"></asp:TextBox>
                </p>
                <p class="indent">
                    This TextBox has its &quot;EnableViewState&quot; properties set to &quot;True&quot;. Type something in.
                    <asp:TextBox ID="txt3" runat="server" Width="100px" ForeColor="Blue"></asp:TextBox>
                </p>
                <p class="indent">This Button causes a postback, changing both TextBox&#39;s BackColor, ForeColor, and Width properties by setting in inline style.</p>

                <p class="indent">
					&nbsp;<asp:Button ID="btnChangeColor" runat="server" onclick="btnChangeColor_Click" Text="Change Color" />
				</p>

                <p class="indent">This Button simply causes a postback. No other event code is executed. Notice that the TextBox with EnableViewState set to &quot;False&quot; loses its formatting. This is because the styling information is not saved in ViewState.
                </p>
            	<p class="indent">
					&nbsp;<asp:Button ID="btnPostback2" runat="server" onclick="btnPostback_Click" Text="Postback" />
				</p>
            </asp:Panel>

            <asp:TextBox ID="txtMessage" runat="server" EnableViewState="False" 
                Height="224px" TextMode="MultiLine" Width="384px"></asp:TextBox>
        </p>

    </div>
    </form>
</body>
</html>
