﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace aspbasics2_website4.classes.AnimalStuff2 {
    public abstract class Animal {
        private string name;

        public string Name {
            get { return name; }
            set {
                if (value.Length < 1)
                    this.name = "unknown";
                else
                    this.name = value;
            }
        }

        public Animal(string name) {
            Name = name;
        }

        public abstract string MakeSound(); 

        public virtual string Eat() {
            return Name + " eats"; // com
        }

        public string Breathe() {
            return Name + " breathes";
        }

        public override string ToString() {
            return "My name is " + Name;
        }
    }
}