﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace aspbasics2_website4.classes.product {
	public class Product {
		// Instance Variables
		String description;
		double price;

		// Property - Price
		public double Price {
			get { return price; }
			set { this.price = value; }
		}

		// Property - Price
		public String Description {
			get { return description; }
			set { this.description = value; }
		}

		// Constructor
		public Product(double price, String description) {
			this.price = price;
			this.description = description;
		}

		// Constructor for testing
		public Product() : this(0.0, "Product") {
		}

		// Method - TotalCost
		public double TotalCost() {
			return price * 1.07;
		}

		// Method - ToString
		public override string ToString() {
			string msg = String.Format("{0} - cost:{1:C}, with tax:{2:C}", description, price, TotalCost());
			return msg;
		}

	}
}