﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PageLifeCycle.aspx.cs" Inherits="aspbasics2_website4.pages.PageLifeCycle" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Page Events</title>
    <link href="../site.css" rel="stylesheet" />
</head>
<body>
    <!-- #Include File="header2.txt" -->
    <form id="form1" runat="server">
    <div>
    
        <p>
            <strong>Page Events</strong></p>
        <p>
            Page class shown below the TextBox<br />
        </p>
        <p>
            <asp:Button ID="btnShowEvents" runat="server" OnClick="btnShowEvents_Click" Text="Show Events" />
        </p>
        <asp:TextBox ID="txtMsg" runat="server" Height="222px" TextMode="MultiLine" Width="447px"></asp:TextBox>
    
<pre><code>

public partial class pages_PageLifeCycle : System.Web.UI.Page
{
    int order = 0;
    String msg = "";

    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);

    }
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnPreLoad(EventArgs e)
    {
        base.OnPreLoad(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnPreRenderComplete(EventArgs e)
    {
        base.OnPreRenderComplete(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    protected override void OnSaveStateComplete(EventArgs e)
    {
        base.OnSaveStateComplete(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
        txtMsg.Text = msg;
        txtMsg.Text += "\n***OnUnload is also called, but cannot access\ncontrols to print because page has been rendered";
    }

    protected override void OnUnload(EventArgs e)
    {
        // Doesn't get displayed. Page already rendered.
        base.OnUnload(e);
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }

    private void saveMessage(String methodName)
    {
        msg += (++order) + ". " + methodName + "\n";

    }

    protected void btnShowEvents_Click(object sender, EventArgs e)
    {
        saveMessage(System.Reflection.MethodBase.GetCurrentMethod().Name);
    }
}

     </code></pre>    
    </div>
    </form>
</body>
</html>
